Package org.eclipse.emf.cdo.server

# Class CDOServerExporter.XML

java.lang.Object
org.eclipse.emf.cdo.server.CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>
org.eclipse.emf.cdo.server.CDOServerExporter.XML

All Implemented Interfaces:
  `CDOServerExporter.XMLConstants`

Enclosing class:
  `CDOServerExporter<OUT>`

public static class CDOServerExporter.XML extends CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput> implements CDOServerExporter.XMLConstants
An `exporter` that creates XML output suitable to be interpreted by an `XML importer`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerExporter

`CDOServerExporter.Binary, CDOServerExporter.BinaryConstants, CDOServerExporter.Statistics, CDOServerExporter.XML, CDOServerExporter.XMLConstants`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerExporter.XMLConstants

`BLOB, BRANCH, BRANCH_ID, BRANCH_NAME, BRANCH_PARENT, BRANCH_TIME, CLOB, COMMIT, COMMIT_BRANCH, COMMIT_COMMENT, COMMIT_PREVIOUS, COMMIT_TIME, COMMIT_USER, COMMITS, FEATURE, FEATURE_ID, FEATURE_INNER_FEATURE, FEATURE_INNER_TYPE, FEATURE_ISNULL, FEATURE_ISSET, FEATURE_NAME, FEATURE_SIZE, FEATURE_TYPE, FEATURE_VALUE, INSTANCES, LOB_ID, LOB_SIZE, LOBS, MERGE_SOURCE_BRANCH, MERGE_SOURCE_TIME, MODELS, PACKAGE_INFO, PACKAGE_INFO_URI, PACKAGE_UNIT, PACKAGE_UNIT_DATA, PACKAGE_UNIT_ID, PACKAGE_UNIT_TIME, PACKAGE_UNIT_TYPE, REPOSITORY, REPOSITORY_COMMITTED, REPOSITORY_CREATED, REPOSITORY_EXPORT_BRANCH, REPOSITORY_EXPORT_TIME, REPOSITORY_NAME, REPOSITORY_ROOT, REPOSITORY_UUID, REVISION, REVISION_CLASS, REVISION_CONTAINER, REVISION_DETACHED, REVISION_FEATURE, REVISION_ID, REVISION_RESOURCE, REVISION_REVISED, REVISION_TIME, REVISION_VERSION, TYPE_BLOB, TYPE_BYTE_ARRAY, TYPE_CLOB, TYPE_FEATURE_MAP`

## Constructor Summary

Constructors
Constructor
Description
`XML(IRepository repository)`

## Method Summary

Modifier and Type
Method
Description
`protected final org.eclipse.net4j.util.io.XMLOutput`
`createOutput(OutputStream out)`
`protected void`
`endPackageUnit(org.eclipse.net4j.util.io.XMLOutput out)`
`protected void`
`exportAll(org.eclipse.net4j.util.io.XMLOutput out)`
`protected void`
`exportBranch(org.eclipse.net4j.util.io.XMLOutput out, CDOBranch branch)`
`protected void`
`exportBranches(org.eclipse.net4j.util.io.XMLOutput out)`
`protected void`
`exportCommit(org.eclipse.net4j.util.io.XMLOutput out, CDOCommitInfo commitInfo)`
`protected void`
`exportCommits(org.eclipse.net4j.util.io.XMLOutput out)`
`protected void`
`exportFeature(org.eclipse.net4j.util.io.XMLOutput out, EStructuralFeature feature, Object value)`
`protected void`
`exportFeature(org.eclipse.net4j.util.io.XMLOutput out, EStructuralFeature feature, String featureType, Object value)`
`protected void`
`exportLobs(org.eclipse.net4j.util.io.XMLOutput out)`
`protected void`
`exportPackageInfo(org.eclipse.net4j.util.io.XMLOutput out, String uri)`
`protected void`
`exportPackages(org.eclipse.net4j.util.io.XMLOutput out)`
`protected void`
`exportRevision(org.eclipse.net4j.util.io.XMLOutput out, CDORevision revision)`
`protected OutputStream`
`startBlob(org.eclipse.net4j.util.io.XMLOutput out, byte[] id, long size)`
`protected Writer`
`startClob(org.eclipse.net4j.util.io.XMLOutput out, byte[] id, long size)`
`protected void`
`startPackageUnit(org.eclipse.net4j.util.io.XMLOutput out, String id, CDOPackageUnit.Type type, long time, String data)`
`protected final String`
`str(CDOID id)`
`protected String`
`type(Object value)`

### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerExporter

`exportRepository, exportRevisions, getBranchPath, getRepository, getStatistics, getTimeStamp, isExportSystemPackages, setBranchPath, setExportSystemPackages, setTimeStamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XML

public XML(IRepository repository)

## Method Details

### createOutput

protected final org.eclipse.net4j.util.io.XMLOutput createOutput(OutputStream out) throws Exception

Specified by:
  `createOutput` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportAll

protected void exportAll(org.eclipse.net4j.util.io.XMLOutput out) throws Exception

Overrides:
  `exportAll` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportPackages

protected void exportPackages(org.eclipse.net4j.util.io.XMLOutput out) throws Exception

Overrides:
  `exportPackages` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### startPackageUnit

protected void startPackageUnit(org.eclipse.net4j.util.io.XMLOutput out, String id, CDOPackageUnit.Type type, long time, String data) throws Exception

Specified by:
  `startPackageUnit` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### endPackageUnit

protected void endPackageUnit(org.eclipse.net4j.util.io.XMLOutput out) throws Exception

Specified by:
  `endPackageUnit` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportPackageInfo

protected void exportPackageInfo(org.eclipse.net4j.util.io.XMLOutput out, String uri) throws Exception

Specified by:
  `exportPackageInfo` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportBranches

protected void exportBranches(org.eclipse.net4j.util.io.XMLOutput out) throws Exception

Overrides:
  `exportBranches` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportBranch

protected void exportBranch(org.eclipse.net4j.util.io.XMLOutput out, CDOBranch branch) throws Exception

Overrides:
  `exportBranch` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportRevision

protected void exportRevision(org.eclipse.net4j.util.io.XMLOutput out, CDORevision revision) throws Exception

Specified by:
  `exportRevision` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportFeature

protected void exportFeature(org.eclipse.net4j.util.io.XMLOutput out, EStructuralFeature feature, Object value) throws Exception

Throws:
  `Exception`

### exportFeature

protected void exportFeature(org.eclipse.net4j.util.io.XMLOutput out, EStructuralFeature feature, String featureType, Object value) throws SAXException

Throws:
  `SAXException`

### exportLobs

protected void exportLobs(org.eclipse.net4j.util.io.XMLOutput out) throws Exception

Overrides:
  `exportLobs` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### startBlob

protected OutputStream startBlob(org.eclipse.net4j.util.io.XMLOutput out, byte[] id, long size) throws Exception

Specified by:
  `startBlob` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### startClob

protected Writer startClob(org.eclipse.net4j.util.io.XMLOutput out, byte[] id, long size) throws Exception

Specified by:
  `startClob` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportCommits

protected void exportCommits(org.eclipse.net4j.util.io.XMLOutput out) throws Exception

Overrides:
  `exportCommits` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### exportCommit

protected void exportCommit(org.eclipse.net4j.util.io.XMLOutput out, CDOCommitInfo commitInfo) throws Exception

Specified by:
  `exportCommit` in class `CDOServerExporter<org.eclipse.net4j.util.io.XMLOutput>`
Throws:
  `Exception`

### str

protected final String str(CDOID id)

### type

protected String type(Object value)